## ECellToggle

ECellToggle

## Functions

ECell * | e_cell_toggle_new ()
void | e_cell_toggle_construct ()
GPtrArray * | e_cell_toggle_get_pixbufs ()

## Types and Values

struct | ECellToggle

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellToggle
                ╰── ECellCheckbox

## Description

## Functions

### e_cell_toggle_new ()

    ECell *
    e_cell_toggle_new (const gchar **icon_names,
                       guint n_icon_names);

Creates a new ECell renderer that can be used to render toggle buttons with the icons specified in `icon_names` . The value returned by ETableModel::get_value is typecast into an integer and clamped to the [0..n_icon_names) range. That will select the image rendered.

`NULL` elements in `icon_names` will show no icon for the corresponding integer value.

#### Parameters

icon_names | array of icon names, some of which may be `NULL` |
n_icon_names | length of the `icon_names` array |

#### Returns

an ECell object that can be used to render multi-state toggle cells.

### e_cell_toggle_construct ()

    void
    e_cell_toggle_construct (ECellToggle *cell_toggle,
                             const gchar **icon_names,
                             guint n_icon_names);

Constructs the `cell_toggle` object with the `icon_names` and `n_icon_names` arguments.

#### Parameters

cell_toggle | a fresh ECellToggle object |
icon_names | array of icon names, some of which may be `NULL` |
n_icon_names | length of the `icon_names` array |

### e_cell_toggle_get_pixbufs ()

    GPtrArray *
    e_cell_toggle_get_pixbufs (ECellToggle *cell_toggle);

## Types and Values

### struct ECellToggle

    struct ECellToggle;